Subject: Re: "1.7.5: question about running cron tasks as normal local user (no domain users / no local admin group users)"
From: Adi B Treiner <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 21 Jul 2010 14:06:29 +0200
List-Id: <cygwin.cygwin.com>

Hello Pierre,

sorry for the delay. I determined your post only now.

I performed 'rebaseall' but it seems not to solve the issue.
I still get same error message.

203950 [main] cron 2808 C:\cygwin\usr\sbin\cron.exe: *** fatal error -
could not load user32, Win32 error 1114

thanks in advance, Adi

> *******************
> Hi Adi,
>
> all the output you provided looks perfecty normal.
> Perhaps I should have asked if you have tried running "rebaseall".
> If not, please try it.
>
> Pierre

On Fri, 2010-06-04 at 16:43 +0200, Adi B Treiner wrote:
> Hello Pierre,
> 
> thanks fort the response.
> 
> 
> > Did you upgrade from 1.5 to 1.7.5 or did you go through some 1.7.X?
> 
> I think I upgraded from 1.5 to 1.7.5 directly.
> 
> 
> > This problem may be due to the way the groups are computed in Cygwin
> > 1.7 but there must be something special about your install, otherwise
> > would see more reports. It's significant that you are on a non-US 
> > system.
> >
> > Actually there was a change in Feb 2010
> > http://cygwin.com/ml/cygwin-cvs/2010-q1/msg00109.html
> > to fix a bug on non-US systems. But this may have caused a bug in your
> > older Windows 2000 ...
> 
> I updated cygwin last week - so I think the above change should be
> considered within of my build.
> 
> 
> > Could you
> > - compile and run the attached program
> > - in a shell, type
> 
> C:\cygwin\home\adi>cacls c:\WINNT\system32\user32.dll
> c:\WINNT\system32\USER32.DLL VORDEFINIERT\Benutzer:R
>                              VORDEFINIERT\Hauptbenutzer:R
>                              VORDEFINIERT\Administratoren:F
>                              NT-AUTORITÄT\SYSTEM:F
>                              Jeder:R
> 
> 
> C:\cygwin\home\adi>testcyg.exe
> ========= testcyg ==========
> uname -a: CYGWIN_NT-5.0 berenike 1.7.5(0.225/5/3) 2010-04-12 19:07 i686
> Cygwin
> 
> narrow:
> BuiltIn use 3 res 1
> 86 79 82 68 69 70 73 78 73 69 82 84
> VORDEFINIERT
> 86 79 82 68 69 70 73 78 73 69 82 84
> VORDEFINIERT
> Admins use 4 res 1
> 65 100 109 105 110 105 115 116 114 97 116 111 114 101 110
> Administratoren
> 86 79 82 68 69 70 73 78 73 69 82 84
> VORDEFINIERT
> 
> wide:
> BuiltIn use 3 res 1
> 86 79 82 68 69 70 73 78 73 69 82 84
> VORDEFINIERT
> 86 79 82 68 69 70 73 78 73 69 82 84
> VORDEFINIERT
> Admins use 4 res 1
> 65 100 109 105 110 105 115 116 114 97 116 111 114 101 110
> Administratoren
> 86 79 82 68 69 70 73 78 73 69 82 84
> VORDEFINIERT
> ========= the end ==========
> 
> 
> Thanks in advance
> Adi
>   

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple